using System;

namespace Decal.Adapter.Messages;

[CLSCompliant(true)]
public class AdapterMessageResponseEventArgs : EventArgs
{
	private bool success;

	private bool complete;

	public bool Succeeded => success;

	public bool Complete
	{
		get
		{
			return complete;
		}
		internal set
		{
			complete = value;
		}
	}

	protected AdapterMessageResponseEventArgs(bool success)
	{
		this.success = success;
	}
}
